org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.beans

## Class DiscoveryResponse

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.beans.DiscoveryResponse

- All Implemented Interfaces:
    Serializable

      public class DiscoveryResponse
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthenticationServiceUrl()`
    `String` | `getAuthPolicy()`
    `String` | `getEnrollmentPolicyServiceUrl()`
    `String` | `getEnrollmentServiceUrl()`
    `String` | `getEnrollmentVersion()`
    `void` | `setAuthenticationServiceUrl(String authenticationServiceUrl)`
    `void` | `setAuthPolicy(String authPolicy)`
    `void` | `setEnrollmentPolicyServiceUrl(String enrollmentPolicyServiceUrl)`
    `void` | `setEnrollmentServiceUrl(String enrollmentServiceUrl)`
    `void` | `setEnrollmentVersion(String enrollmentVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryResponse

          public DiscoveryResponse()

  - ### Method Detail

    - #### setAuthenticationServiceUrl

          public void setAuthenticationServiceUrl(String authenticationServiceUrl)

    - #### getAuthenticationServiceUrl

          public String getAuthenticationServiceUrl()

    - #### getAuthPolicy

          public String getAuthPolicy()

    - #### getEnrollmentPolicyServiceUrl

          public String getEnrollmentPolicyServiceUrl()

    - #### getEnrollmentServiceUrl

          public String getEnrollmentServiceUrl()

    - #### setAuthPolicy

          public void setAuthPolicy(String authPolicy)

    - #### setEnrollmentPolicyServiceUrl

          public void setEnrollmentPolicyServiceUrl(String enrollmentPolicyServiceUrl)

    - #### setEnrollmentServiceUrl

          public void setEnrollmentServiceUrl(String enrollmentServiceUrl)

    - #### getEnrollmentVersion

          public String getEnrollmentVersion()

    - #### setEnrollmentVersion

          public void setEnrollmentVersion(String enrollmentVersion)

Copyright © 2017 WSO2. All rights reserved.